function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Cc= Yfuncvec(1);
Cs1= Yfuncvec(2);
Cs2= Yfuncvec(3);
e1=Yfuncvec(4);
e2=Yfuncvec(5);
% Explicit equations
mu1max =  .9;  
mu2max =  .6;  
K1 =  .1;  
K2 =  .5;  
alpha1 =  .0001;  
alpha2 =.0001;  
beta1 =  .05;  
beta2 =  .05;  
Ycs1 =  .4;  
Ycs2 =  .4;
e1max =  alpha1/( mu1max+ beta1);
e2max =  alpha2/( mu2max+ beta2);
E1 =  e1/e1max;
E2 =  e2/e2max;
mu1 =  mu1max*E1*Cs1/(K1+Cs1);
mu2 =  mu2max*E2*Cs2/(K2+Cs2);
u1 =  mu1/(mu1+mu2);
u2 =  mu2/(mu1+mu2);
if (mu1>mu2)
    mumax =mu1;
else
     mumax =mu2; 
end    
v1 =  mu1/ mumax;
v2 =  mu2/mumax;
% Differential equations
dCcdt =(mu1*v1+mu2*v2)*Cc; 
dCs1dt = -mu1*v1*Cc/Ycs1;  
dCs2dt = -mu2*v2*Cc/Ycs2;  
de1dt = alpha1*Cs1/(K1+Cs1)*u1 - beta1*e1 - (mu1*v1+mu2*v2)*e1;  
de2dt = alpha2*Cs2/(K2+Cs2)*u2 - beta2*e2 - (mu1*v1+mu2*v2)*e2;  
dYfuncvecdt=[dCcdt;dCs1dt;dCs2dt;de1dt;de2dt];



